Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface MemberElement.Impl

All Superinterfaces:
  Element.Impl, Serializable

All Known Subinterfaces:
  ClassElement.Impl, ConstructorElement.Impl, FieldElement.Impl, MethodElement.Impl

Enclosing class:
  MemberElement

    public static interface MemberElement.Impl

extends Element.Impl

Pluggable implementation of member elements.

See Also:
  `MemberElement`

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`int` | `getModifiers()` Get the modifier flags for this element.
`Identifier` | `getName()` Get the name of this member.
`void` | `setModifiers(int mod)` Set the modifier flags for this element.
`void` | `setName(Identifier name)` Set the name of this member.

Methods inherited from interface org.openide.src.Element.Impl
`addPropertyChangeListener, attachedToElement, getCookie, markCurrent, readResolve, removePropertyChangeListener`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  See Also:
    Constant Field Values

Method Detail

### getModifiers

    int getModifiers()

  Get the modifier flags for this element. Constrained by `MemberElement.getModifiersMask()`.

  Returns:
    disjunction of constants from `java.lang.reflect.Modifier`

### setModifiers

    void setModifiers(int mod)
                      throws SourceException

  Set the modifier flags for this element.

  Parameters:
    `mod` - disjunction of constants from `java.lang.reflect.Modifier`
  Throws:
    `SourceException` - if impossible (e.g. if `mod & ~ memberElt.getModifiersMask() != 0`)

### getName

    Identifier getName()

  Get the name of this member.

  Returns:
    the name

### setName

    void setName(Identifier name)
                 throws SourceException

  Set the name of this member.

  Parameters:
    `name` - the name
  Throws:
    `SourceException` - if impossible

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.